All of lore.kernel.org
 help / color / mirror / Atom feed
From: Kevin Wolf <kwolf@redhat.com>
To: anthony@codemonkey.ws
Cc: kwolf@redhat.com, qemu-devel@nongnu.org
Subject: [Qemu-devel] [PULL 09/14] qemu-iotests: add empty test case for vmdk
Date: Tue,  6 Aug 2013 16:39:45 +0200	[thread overview]
Message-ID: <1375799990-995-10-git-send-email-kwolf@redhat.com> (raw)
In-Reply-To: <1375799990-995-1-git-send-email-kwolf@redhat.com>

From: Fam Zheng <famz@redhat.com>

Will add vmdk specific tests later here.

Signed-off-by: Fam Zheng <famz@redhat.com>
Signed-off-by: Kevin Wolf <kwolf@redhat.com>
---
 tests/qemu-iotests/059     | 51 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/qemu-iotests/059.out |  2 ++
 tests/qemu-iotests/group   |  1 +
 3 files changed, 54 insertions(+)
 create mode 100755 tests/qemu-iotests/059
 create mode 100644 tests/qemu-iotests/059.out

diff --git a/tests/qemu-iotests/059 b/tests/qemu-iotests/059
new file mode 100755
index 0000000..9dc7f64
--- /dev/null
+++ b/tests/qemu-iotests/059
@@ -0,0 +1,51 @@
+#!/bin/bash
+#
+# Test case for vmdk
+#
+# Copyright (C) 2013 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
+owner=famz@redhat.com
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+
+_cleanup()
+{
+	_cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# This tests vmdk-specific low-level functionality
+_supported_fmt vmdk
+_supported_proto generic
+_supported_os Linux
+
+granularity_offset=16
+
+# success, all done
+echo "*** done"
+rm -f $seq.full
+status=0
diff --git a/tests/qemu-iotests/059.out b/tests/qemu-iotests/059.out
new file mode 100644
index 0000000..4ca7f29
--- /dev/null
+++ b/tests/qemu-iotests/059.out
@@ -0,0 +1,2 @@
+QA output created by 059
+*** done
diff --git a/tests/qemu-iotests/group b/tests/qemu-iotests/group
index 69e208c..43c05d6 100644
--- a/tests/qemu-iotests/group
+++ b/tests/qemu-iotests/group
@@ -63,3 +63,4 @@
 054 rw auto
 055 rw auto
 056 rw auto backing
+059 rw auto
-- 
1.8.1.4

  parent reply	other threads:[~2013-08-06 14:40 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-08-06 14:39 [Qemu-devel] [PULL 00/14] Block fixes for 1.6 Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 01/14] qemu-img: Error out for excess arguments Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 02/14] ignore SIGPIPE in qemu-img and qemu-io Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 03/14] iov: handle EOF in iov_send_recv Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 04/14] qemu-iotests: filter QEMU version in monitor banner Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 05/14] sheepdog: add missing .bdrv_has_zero_init Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 07/14] vmdk: use unsigned values for on disk header fields Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 08/14] qemu-iotests: add poke_file utility function Kevin Wolf
2013-08-06 14:39 ` Kevin Wolf [this message]
2013-08-06 14:39 ` [Qemu-devel] [PULL 10/14] vmdk: check granularity field in opening Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 11/14] vmdk: check l2 table size when opening Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 12/14] vmdk: check l1 size before opening image Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 13/14] vmdk: use heap allocation for whole_grain Kevin Wolf
2013-08-06 14:39 ` [Qemu-devel] [PULL 14/14] vmdk: rename num_gtes_per_gte to num_gtes_per_gt Kevin Wolf

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1375799990-995-10-git-send-email-kwolf@redhat.com \
    --to=kwolf@redhat.com \
    --cc=anthony@codemonkey.ws \
    --cc=qemu-devel@nongnu.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.